<?php
include_once 'sys/inc/start.php';
$doc = new document(1);
$doc->title = 'Бан';

if (isset($_GET['return']))$doc->ret('Вернуться',for_value($_GET['return']));


if (!$user->is_ban)
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']); else header('Refresh: 1; url=/');
$doc->access_denied('Нет активных банов');
}

$posts = array();
$q = mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$user->id' ORDER BY `id` DESC");
while ($c=mysql_fetch_assoc($q)) {
$adm=new user($c['id_adm']);
$t=$adm->nick.' ('.vremja($c['time_start']).')';

$post='Нарушение: '.for_value($c['code']).'<br />';

if ($c['access_view'])$post.='<u>Разрешен доступ в личное меню и приват</u><br />';



if (TIME<$c['time_end'])$post.='Осталось: '.vremja($c['time_end']).'<br />';

if ($c['link'])$post.='Ссылка: <a'.($dcms->browser_type=='web'?' target="_blank"':null).' href="'.for_value($c['link']).'">'.for_value($c['link']).'</a><br />';
if ($c['time_start'] && TIME<$c['time_start'])$p.='<b>Начало действия:</b>'.vremja($c['time_start']).'<br />';



$post.=output_text($c['comment']);
$posts[]=array('title'=>$t,'post'=>$post,'hide'=>(TIME>$c['time_end'] || TIME<$c['time_start']));
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Нарушения отсутствуют');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');




?>
